.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  min-height: 400px;
  background-color: rgba(0, 0, 0, 0.7);
}

.craft {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  top: 50%;
  left: 50%;
  width: 850px;
  height: 700px;
  transform: translate(-50%, -50%);
  background-color: var(--bg-color);
  border-radius: 5px;
}

.craft h2 {
  border-bottom: 1px solid var(--text-color);
}

.craft .card-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  padding: 30px 10px;
  overflow: scroll;
}

.craft-btn {
  display: inline-block;
}

.loading-component {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
